KAccelShortcutList Class Reference

`#include <kshortcutlist.h>`

Inheritance diagram for KAccelShortcutList:

## Public Member Functions

| KAccelShortcutList (KAccel *accel)
| KAccelShortcutList (KGlobalAccel *accel)
| KAccelShortcutList (KAccelActions &actions, bool bGlobal)
virtual uint | count () const
virtual QString | name (uint index) const
virtual QString | label (uint index) const
virtual QString | whatsThis (uint index) const
virtual const KShortcut & | shortcut (uint index) const
virtual const KShortcut & | shortcutDefault (uint index) const
virtual bool | isConfigurable (uint index) const
virtual bool | setShortcut (uint index, const KShortcut &shortcut)
virtual bool | isGlobal (uint index) const
virtual QVariant | getOther (Other, uint index) const
virtual bool | setOther (Other, uint index, QVariant)
virtual bool | save () const
Public Member Functions inherited from KShortcutList
| KShortcutList ()
virtual int | index (const QString &sName) const
virtual int | index (const KKeySequence &keySeq) const
virtual const KInstance * | instance () const
virtual bool | readSettings (const QString &sConfigGroup=QString::null, KConfigBase *pConfig=0)
virtual bool | writeSettings (const QString &sConfigGroup=QString::null, KConfigBase *pConfig=0, bool bWriteAll=false, bool bGlobal=false) const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

KAccelActions & | m_actions
bool | m_bGlobal

## Additional Inherited Members

Public Types inherited from KShortcutList
enum | Other

## Detailed Description

KShortcutList implementation to access KAccel and KGlobalAccel lists.

Definition at line 198 of file kshortcutlist.h.

## Constructor & Destructor Documentation

KAccelShortcutList::KAccelShortcutList | ( | KAccel * | accel | ) |

Creates a new KShortcutList that accesses the given KAccel.

Parameters

  accel | the accelerators to access

Definition at line 161 of file kshortcutlist.cpp.

KAccelShortcutList::KAccelShortcutList | ( | KGlobalAccel * | accel | ) |

Creates a new KShortcutList that accesses the given KGlobalAccel.

Parameters

  accel | the accelerators to access

Definition at line 169 of file kshortcutlist.cpp.

## Member Function Documentation

uint KAccelShortcutList::count | ( |  | ) | const

virtual

Returns the number of entries.

Returns
  the number of entries

Implements KShortcutList.

Definition at line 187 of file kshortcutlist.cpp.

bool KAccelShortcutList::isConfigurable | ( | uint | index | ) | const

virtual

Checks whether the shortcut with the given `index` is configurable.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  true if configurable, false otherwise

Implements KShortcutList.

Definition at line 199 of file kshortcutlist.cpp.

bool KAccelShortcutList::isGlobal | ( | uint | index | ) | const

virtual

Checks whether the shortcut with the given `index` is saved in the global configuration.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  true if global, false otherwise

Reimplemented from KShortcutList.

Definition at line 205 of file kshortcutlist.cpp.

QString KAccelShortcutList::label | ( | uint | index | ) | const

virtual

Returns the (i18n'd) label of the shortcut with the given `index`.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  the label (i18n'd) of the shortcut

Implements KShortcutList.

Definition at line 191 of file kshortcutlist.cpp.

QString KAccelShortcutList::name | ( | uint | index | ) | const

virtual

Returns the name of the shortcut with the given `index`.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  the name of the shortcut

Implements KShortcutList.

Definition at line 189 of file kshortcutlist.cpp.

bool KAccelShortcutList::save | ( |  | ) | const

virtual

Save the shortcut list.

Returns
  true if successful, false otherwise

Implements KShortcutList.

Definition at line 209 of file kshortcutlist.cpp.

bool KAccelShortcutList::setShortcut | ( | uint | index,
|  | const KShortcut & | shortcut
| ) |  |

virtual

Sets the shortcut of the given entry.

Parameters

  index | the index of the shortcut (must be < count())
  shortcut | the shortcut

Implements KShortcutList.

Definition at line 201 of file kshortcutlist.cpp.

const KShortcut & KAccelShortcutList::shortcut | ( | uint | index | ) | const

virtual

Returns the shortcut with the given `index`.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  the shortcut

See also
  shortcutDefault()

Implements KShortcutList.

Definition at line 195 of file kshortcutlist.cpp.

const KShortcut & KAccelShortcutList::shortcutDefault | ( | uint | index | ) | const

virtual

Returns default shortcut with the given `index`.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  the default shortcut

See also
  shortcut()

Implements KShortcutList.

Definition at line 197 of file kshortcutlist.cpp.

void KAccelShortcutList::virtual_hook | ( | int | id,
|  | void * | data
| ) |  |

protected virtual

used to extend the interface with virtuals without breaking binary compatibility

Reimplemented from KShortcutList.

Definition at line 215 of file kshortcutlist.cpp.

QString KAccelShortcutList::whatsThis | ( | uint | index | ) | const

virtual

Returns the (i18n'd) What's This text of the shortcut with the given `index`.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  the What's This text (i18n'd) of the shortcut

Implements KShortcutList.

Definition at line 193 of file kshortcutlist.cpp.

## Member Data Documentation

KAccelActions& KAccelShortcutList::m_actions

protected

Actions (collection) for this shortcut list.

Set by constructor.

Definition at line 244 of file kshortcutlist.h.

bool KAccelShortcutList::m_bGlobal

protected

Is this shortcut list global? Access through isGlobal()

Definition at line 246 of file kshortcutlist.h.

The documentation for this class was generated from the following files:

- kshortcutlist.h
- kshortcutlist.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys